[ic] Interchange5.0 with MySQL4.0

Ed LaFrance edl at newmediaems.com
Thu Dec 18 19:08:05 EST 2003

At 03:40 PM 12/18/2003 -0800, you wrote:
>I'm upgrading Interchange from 4.9.9 to 5.0. and also changing from the
>internal database to MySQL4.0. Here's my problem so far.
>When I start interchange I get the following error:
>Configuring catalog discreet...Required Perl module DBD::mysql not present.
>Aborting catalog.
>Ok, I know the obvious answer is install the darn module. I ran cpan then
>install DBD::mysql which got the module, compiled, and tested it.
>It looks like the compile had no errors but when it did make test it failed
>because it could not test with the nopassword option. I managed to get the
>make test to run by removing the mysql root password. Testing failed 13 of
>the tests.
>Any suggestions on how to fix this???

There is a flag to install DBD::mysql without testing the server 
interaction, if you are sure you have everything right. But what I usually 
do is set up a test db with a test username and password in mysql, then run 
Perl Makefile.PL for DBD::mysql with flags telling it to specifically use 
the same. If you've already downloaded the module with cpan, just go to 
~/.cpan/build/DBD::mysql-xxxx/ and type "perl Makefile.PL -h" (I think that 
is the correct switch) to see the list of flags you can set for make.

- Ed

New Media E.M.S.              Technology Solutions for Business
11630 Fair Oaks Blvd., #250   eCommerce | Consulting | Hosting
Fair Oaks, CA  95628          edl at newmediaems.com
(916) 961-0446                http://www.newmediaems.com
(866) 519-4680 Toll-Free      (916) 961-0447 Fax

More information about the interchange-users mailing list